Cyberduck Mountain Duck CLI

#7400 closed defect (fixed)

S3 operation issues

Reported by: sincohen Owned by: dkocher
Priority: high Milestone: 4.4
Component: s3 Version: Nightly Build
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

When attempting to delete a file in S3 with latest 4.4 i get an error. Also transfers of large files (2GB+) fail. Neither of these issues exist in 4.3.1

Here is the error i receive then deleting files. I have redacted (######) the auth info.

GET /?versioning HTTP/1.1
Date: Tue, 13 Aug 2013 20:46:46 GMT
Authorization: AWS AKIAI####################################I=
Host: ########-client.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4 (Mac OS X/10.8.4) (x86_64)
HTTP/1.1 403 Forbidden
x-amz-request-id: F0BB#####F9B424D
x-amz-id-2: n9vqoZ+#################################hM
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Tue, 13 Aug 2013 20:46:46 GMT
Server: AmazonS3

Change History (2)

comment:1 Changed on Aug 13, 2013 at 8:59:44 PM by dkocher

  • Description modified (diff)
  • Milestone set to 4.4
  • Status changed from new to assigned

comment:2 Changed on Aug 14, 2013 at 7:31:21 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Graceful failure when missing permission to read logging configuration, access control list or versioning in r12517.

Last edited on Aug 14, 2013 at 7:31:40 PM by dkocher (previous) (diff)
Note: See TracTickets for help on using tickets.